Pause Cycle
post
/api/v1/workstreams/cycles/{cycle_id}/pausePause a cycle
Path parameters
cycle_idrequiredpath | β |
Responses
200Paused
| Field | Type | Description |
|---|---|---|
id | string | β |
blueprint_id | string | Parent Workplan id. Field name kept as `blueprint_id` (deprecated alias) for back-compat. |
status | "pending" | "running" | "paused" | "awaiting_approval" | "completed" | "failed" | "cancelled" | βpendingrunningpausedawaiting_approvalcompletedfailedcancelled |
started_at | string (date-time) | β |
completed_at | string (date-time) | β |
current_task_id | string | β |
progress_pct | number | β |
inputs | object | βshow nestedEmpty object. |
outputs | object | βshow nestedEmpty object. |
401Authentication required
| Field | Type | Description | ||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errorrequired | object | βshow nested
|
404Not found
| Field | Type | Description | ||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errorrequired | object | βshow nested
|
409Cycle is not in a pausable state
| Field | Type | Description | ||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errorrequired | object | βshow nested
|
curl https://api.dev.arch.ie/api/v1/workstreams/cycles/<cycle_id>/pause \
-X POST \
-H "Authorization: Bearer sk_..."